Attribute VB_Name = "modDeclarations"
'be aware that the declarations of the StretchDIBits function
'and the Bitmapinfo-Type vary slightly from the ones of the
'Apiload-program provided with Visual Basic



'variables:
Public channel
Public picAddress
Public stopFlag As Boolean
Public optionCancel As Boolean
Public liveImagePresentMarker As Boolean
Public referencePresentMarker As Boolean
Public comparisonPresentMarker As Boolean
Public numberOfWindows
Public shotNumber
Public ColorBarStatus As Boolean
Public snapshot()
Public BMI As BITMAPINFO
Public bitSizeH
Public bitSizeV
Public bitColors
Public bitColorsUsed
Public dataMaskSingle
Public dataMaskLive1
Public dataMaskLive2
Public StretchhDC

Public nOhpos, nOvpos, nOhsize, nOvsize, nOppl, nOlines, nOColformat
Public nEhpos, nEvpos, nEhsize, nEvsize, nEppl, nElines, nEColformat
Public nColSystem, nInterlaced, nSingleShot



' Win-API constants:
Public Const DIB_RGB_COLORS = 0 '  color table in RGBs
Public Const BI_RGB = 0&
Public Const SRCCOPY = &HCC0020 ' (DWORD) dest = source

' Grabber-DLL constants:
Public Const NTSC_M = 0
Public Const PAL_BDGHI = 1
Public Const SECAM = 2
Public Const PAL_M = 3
Public Const PAL_N = 4
Public Const AUTO = 5
Public Const RGB32 = 0
Public Const RGB24 = 1
Public Const RGB16 = 2
Public Const RGB15 = 3
Public Const YUY2 = 4
Public Const BtYUV = 5
Public Const Y8 = 6
Public Const RGB8 = 7


'declaration of Grabber-DLL functions:
Declare Sub TemporalDect Lib "Gr4CDLL.dll" _
(ByVal nDevNo As Integer, ByVal nDecField As Integer, _
ByVal nFldAlign As Integer, ByVal nDecRat As Integer)

Declare Function Get_Signal_Status Lib "Gr4CDLL.dll" _
(ByVal nDevNo As Integer) As Integer

Declare Function Get_Error Lib "Gr4CDLL.dll" () As Integer

Declare Function Max_Device_Number Lib "Gr4CDLL.dll" () As Integer

Declare Sub Initialize Lib "Gr4CDLL.dll" _
(ByVal nDevNo As Integer)

Declare Function Get_Video_Status Lib "Gr4CDLL.dll" _
(ByVal nDevNo As Integer) As Integer

Declare Sub Set_Color_System Lib "Gr4CDLL.dll" _
(ByVal nDevNo As Integer, ByVal nColSys As Integer)

Declare Function Data_Present Lib "Gr4CDLL.dll" _
(ByVal nDevNo As Integer) As Integer

Declare Function GetPictureBufferAddress Lib "Gr4CDLL.dll" _
(ByVal nDevNo As Integer, ByVal dwBitsSize As Long) As Long

Declare Sub Set_Image Lib "Gr4CDLL.dll" _
(ByVal nDevNo As Integer, ByVal nOhpos As Integer, _
ByVal nOvpos As Integer, ByVal nOhsize As Integer, _
ByVal nOvsize As Integer, ByVal nOppl As Integer, _
ByVal nOlines As Integer, ByVal nOColformat As Integer, _
ByVal nEhpos As Integer, ByVal nEvpos As Integer, _
ByVal nEhsize As Integer, ByVal nEvsize As Integer, _
ByVal nEppl As Integer, ByVal nElines As Integer, _
ByVal nEColformat As Integer, ByVal nColSystem As Integer, _
ByVal nInterlaced As Integer, ByVal nSingleShot As Integer)

Declare Sub Set_Channel Lib "Gr4CDLL.dll" _
(ByVal nDevNo As Integer, ByVal nChannel As Integer)

Declare Sub Start_Grabber Lib "Gr4CDLL.dll" _
(ByVal nDevNo As Integer)

Declare Sub Stop_Grabber Lib "Gr4CDLL.dll" _
(ByVal nDevNo As Integer)

Declare Sub Set_CKill Lib "Gr4CDLL.dll" _
(ByVal nDevNo As Integer, ByVal nCKill As Integer)

Declare Sub LumaControl Lib "Gr4CDLL.dll" _
(ByVal nDevNo As Integer, ByVal nRange As Integer, ByVal nCore As Integer)

Declare Sub Set_Color_Bars Lib "Gr4CDLL.dll" _
(ByVal nDevNo As Integer, ByVal nColorBars As Integer)

Declare Sub Set_AGC Lib "Gr4CDLL.dll" _
(ByVal nDevNo As Integer, ByVal nCAGC As Integer, ByVal nAGC As Integer, ByVal nChrush As Integer)

Declare Sub Set_Interlace Lib "Gr4CDLL.dll" _
(ByVal nDevNo As Integer, ByVal nInterlace As Integer)

Declare Sub Set_LDec Lib "Gr4CDLL.dll" _
(ByVal nDevNo As Integer, ByVal nOn As Integer, ByVal nHFilt As Integer)

Declare Sub Set_BW Lib "Gr4CDLL.dll" _
(ByVal nDevNo As Integer, ByVal nOn As Integer)

Declare Sub Set_Hue Lib "Gr4CDLL.dll" _
(ByVal nDevNo As Integer, ByVal nHue As Integer)

Declare Function Get_HUE Lib "Gr4CDLL.dll" _
(ByVal nDevNo As Integer) As Integer

Declare Sub Set_Saturation Lib "Gr4CDLL.dll" _
(ByVal nDevNo As Integer, ByVal nSat_U As Integer, ByVal nSat_V As Integer)

Declare Function Get_Sat_U Lib "Gr4CDLL.dll" _
(ByVal nDevNo As Integer) As Integer

Declare Function Get_Sat_V Lib "Gr4CDLL.dll" _
(ByVal nDevNo As Integer) As Integer

Declare Sub Set_Contrast Lib "Gr4CDLL.dll" _
(ByVal nDevNo As Integer, ByVal nContr As Integer)

Declare Function Get_Contrast Lib "Gr4CDLL.dll" _
(ByVal nDevNo As Integer) As Integer

Declare Sub Set_Brightness Lib "Gr4CDLL.dll" _
(ByVal nDevNo As Integer, ByVal nBright As Integer)

Declare Function Get_Brightness Lib "Gr4CDLL.dll" _
(ByVal nDevNo As Integer) As Integer

Declare Sub Set_S_Video Lib "Gr4CDLL.dll" _
(ByVal nDevNo As Integer)

Declare Sub Set_Composite Lib "Gr4CDLL.dll" _
(ByVal nDevNo As Integer)

Declare Sub Set_ColorBars Lib "Gr4CDLL.dll" _
(ByVal nDevNo As Integer, ByVal nColorBars As Integer)

Declare Sub Read_Local_DWord Lib "Gr4CDLL.dll" _
(ByVal nDevNo As Integer, ByVal nRegister_Number As Integer, _
 ByVal lContentPointer As Long)

Declare Sub Write_Local_DWord Lib "Gr4CDLL.dll" _
(ByVal nDevNo As Integer, ByVal nRegister_Number As Integer, _
 ByVal lContent As Long)
 


' declaration of Win-API functions:
Declare Function StretchDIBits Lib "GDI32" _
(ByVal hDC As Long, ByVal DestX As Integer, _
ByVal DestY As Integer, ByVal wDestWidth As Integer, _
ByVal wDestHeight As Integer, ByVal SrcX As Integer, _
ByVal SrcY As Integer, ByVal wSrcWidth As Integer, _
ByVal wSrcHeight As Integer, ByVal lpBits As Long, _
BitsInfo As BITMAPINFO, ByVal wUsage As Integer, _
ByVal dwRop As Long) As Integer

Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)

Declare Function GetLastError Lib "kernel32" () As Long



' declaration of user-defined types for the Win-API
Type BITMAPINFOHEADER '40 bytes
        biSize As Long
        biWidth As Long
        biHeight As Long
        biPlanes As Integer
        biBitCount As Integer
        biCompression As Long
        biSizeImage As Long
        biXPelsPerMeter As Long
        biYPelsPerMeter As Long
        biClrUsed As Long
        biClrImportant As Long
End Type


Type RGBQUAD
        rgbBlue As Byte
        rgbGreen As Byte
        rgbRed As Byte
        rgbReserved As Byte
End Type


Type BITMAPINFO
        bmiHeader As BITMAPINFOHEADER
        bmiColors(256) As RGBQUAD
End Type


