VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.MDIForm frmMain 
   BackColor       =   &H8000000C&
   Caption         =   "Grabber-Demo"
   ClientHeight    =   3195
   ClientLeft      =   1200
   ClientTop       =   2190
   ClientWidth     =   4680
   Icon            =   "frmMain.frx":0000
   LinkTopic       =   "MDIForm1"
   WindowState     =   2  'Maximiert
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   2160
      Top             =   120
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
      CancelError     =   -1  'True
      DefaultExt      =   ".bmp"
      DialogTitle     =   "Save Image"
      Filter          =   "Bitmap (*.bmp)|*.bmp"
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuFileClose 
         Caption         =   "&Close"
         Enabled         =   0   'False
         Shortcut        =   {DEL}
      End
      Begin VB.Menu mnuFileSave 
         Caption         =   "&Save"
         Enabled         =   0   'False
         Shortcut        =   ^V
      End
      Begin VB.Menu mnuFileSaveas 
         Caption         =   "Save &as..."
         Enabled         =   0   'False
      End
      Begin VB.Menu mnuFileLine1 
         Caption         =   "-"
      End
      Begin VB.Menu mnuFileExit 
         Caption         =   "&Exit"
         Shortcut        =   ^X
      End
   End
   Begin VB.Menu mnuImage 
      Caption         =   "&Image"
      Begin VB.Menu mnuLiveImages 
         Caption         =   "&Live Images..."
         Shortcut        =   ^L
      End
      Begin VB.Menu mnuImageLine1 
         Caption         =   "-"
      End
      Begin VB.Menu mnuImageControl 
         Caption         =   "&Image Control..."
      End
      Begin VB.Menu mnuImageSnapshot 
         Caption         =   "Sna&pshot"
         Enabled         =   0   'False
         Shortcut        =   ^H
      End
   End
   Begin VB.Menu mnuOptions 
      Caption         =   "&Options"
      Begin VB.Menu mnuOptionsBasic 
         Caption         =   "&Basic Settings..."
      End
      Begin VB.Menu mnuOptionsLine1 
         Caption         =   "-"
      End
      Begin VB.Menu mnuOptionsColorBars 
         Caption         =   "&Color Bars"
      End
   End
   Begin VB.Menu mnuInfo 
      Caption         =   "&Info"
      Begin VB.Menu mnuInfoAboutGrabber 
         Caption         =   "&About Grabber..."
      End
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub MDIForm_Load()
nColSystem = PAL_BDGHI 'sets PAL as default Color System, since AUTO doesn't work properly on all systems
End Sub

Private Sub MDIForm_Unload(Cancel As Integer)
End
End Sub

Private Sub mnuFileClose_Click()
Unload frmMain.ActiveForm

End Sub

Private Sub mnuFileExit_Click()
Unload Me

End Sub

Private Sub mnuFileSave_Click()
Static saveIndex

saveIndex = saveIndex + 1
SavePicture frmMain.ActiveForm.Image, "Grab" & saveIndex & ".BMP"

End Sub

Private Sub mnuFileSaveas_Click()
On Error GoTo Cancel

CommonDialog1.Flags = &H4 + &H2 'ask user before overwriting and hide the "read only" checkbutton
CommonDialog1.ShowSave
SavePicture frmMain.ActiveForm.Image, CommonDialog1.filename

Cancel: Exit Sub
End Sub


Private Sub mnuImageControl_Click()
frmImageControl.Show vbModaless, Me
End Sub


Private Sub mnuLiveImages_Click()
'asking user for settings:
frmImageOptions.Show vbModal, Me
End Sub


Private Sub mnuInfoAboutGrabber_Click()
frmAboutGrabber.Show Modaless, Me

End Sub

Private Sub mnuOptionsBasic_Click()
frmBasicSettings.Show vbModal, Me

End Sub

Private Sub mnuOptionsColorBars_Click()
'this will show the grabber-generated colorbars instead of a video-signal;
'in this program it's only implemented with Grabber 1
If mnuOptionsColorBars.Checked = False Then
    mnuOptionsColorBars.Checked = True
    Call Set_ColorBars(1, 1)
    ColorBarStatus = True
Else
    mnuOptionsColorBars.Checked = False
    Call Set_ColorBars(1, 0)
    ColorBarStatus = False
End If

End Sub

Private Sub mnuImageSnapshot_Click()
'creates a snapshot of the current Live-Image in a new window
shotNumber = shotNumber + 1

ReDim Preserve snapshot(shotNumber)

Set snapshot(shotNumber) = New frmSingle 'create new window
With snapshot(shotNumber)
                         .Picture = frmMain.ActiveForm.Image 'sets the content of the active window as background-picture of the snapshot-window. This will work only, I think, when the content of the Live-Image window is kept in memory due to AutoRedraw.
                         .Caption = "#" & shotNumber
                         .Width = bitSizeH * Screen.TwipsPerPixelX
                         .Height = bitSizeV * Screen.TwipsPerPixelY
                         .AutoRedraw = True
                         .Show
                         
                         
End With

End Sub
